Benutzer:Rene/Upgrade Wiki

aus Stargate Wiki, dem deutschsprachigen Stargate-Lexikon
Wechseln zu: Navigation, Suche

Hier werden die ausgeführten Schritte für ein erfolgreiches Upgrade aufgelistet. Alle Änderungen werden zuerst am Test Wiki geprüft. Nicht mehr aktuelle Umstellungen werden archiviert.

^Alte Umstellungen - Archiv[Bearbeiten]

^1.18.1 auf 1.24.1[Bearbeiten]

Revisions Tabelle erweitern[Bearbeiten]

Siehe [1]

ALTER TABLE sg_revision ADD rev_sha1 varbinary(32) NOT NULL default ''
Okay.svg Tabelle bereits im original Wiki erweitert. --Rene Bürokrat - Rückmeldung 16:30, 26. Dez. 2014 (CET)

Neue Mediawiki Version in eigenes Verzeichnis herunterladen[Bearbeiten]

wget http://releases.wikimedia.org/mediawiki/1.24/mediawiki-1.24.1.tar.gz

Die neue Version entpacken[Bearbeiten]

tar -xvzf mediawiki-1.24.1.tar.gz

Alte Dateien in neues Verzeichnis kopieren[Bearbeiten]

Nach dem entpacken müssen einige Dateien aus dem alten Wiki Verzeichnis in das neue kopiert werden:

  • LocalSettings.php, die Konfigurationseinstellungen.
  • Das images Verzeichnis.
  • Die Logo Datei aus dem Stammverzeichnis LogoVector.png in das neue Stammverzeichnis kopieren. Die alternativen Logos befinden sich im images Verzeichnis und müssen daher nicht separat kopiert werden.
  • Custom skins from within the skins directory.
  • Any .htaccess file (if you're using Apache and you've defined any rules in them). Befinden sich im Webverzeichnis oberhalt /w
  • Benutzer und Gruppe für das komplette neue Mediawiki Verzeichnis einstellen chown -R stargatewiki:psacln *
  • mwCron.sh

Vorhandene Extensions[Bearbeiten]

  • Eigene Erweiterungen bzw. Erweiterungen ohne neue Version nur kopieren
    • SGPack
    • Slideshow
    • oflash
    • EMFF (PlayMP3)
    • Sort2
    • UserStatistics
    • Slideshow
  • Keine Updates nötig da in Mediawiki enthalten
    • Renameuser - ab 1.18
    • ImageMap - ab ?.??
    • InputBox - ab 1.24
    • ParserFunctions - ab 1.18
    • ExpandTemplates - ab 1.23
    • Poem - ab 1.21
    • SyntaxHighlight GeSHi - ab 1.21
    • Gadgets - ab 1.18
    • Vector - ab 1.18
    • WikiEditor - ab 1.18
  • Neue Versionen der folgenden Erweiterungen einspielen
    • APC - Wird nicht mehr benötigt
wget https://extdist.wmflabs.org/dist/extensions/APC-REL1_24-8e18089.tar.gz, tar -xzf APC-REL1_24-8e18089.tar.gz -C .

ConfirmAccount[Bearbeiten]

Die Erweiterung legt auch dann eine Benutzerseite für den neuen Benutzer an wenn dort gar kein Text gespeichert werden soll. Um das zu ändern muss in der Datei /ConfirmAccount/business/AccountConfirmSubmission.php in der Funktion createUserpage() der letzte Abschnitt umgeschrieben werden. Die Anweisung zum erzeugen der Seite muss mit einem if() versehen werden:

#Create userpage!
if( !empty($body) ) {
$article = new WIkiPage( ...
$article->doEdit( ...
}

WhosOnline[Bearbeiten]

In der Erweiterung wird die Funktion wfViewPrevNext() benutzt. Diese ist MW 1.24 nicht mehr enthalten. Die Funktion getNavigationBar() in WhosOnlineSpecialPage.php muss daher durch folgende ersetzt werden:

	function getNavigationBar() {
		global $wgContLang,$wgLang;

		$query = '';
		$offset = $this->mOffset;
		$limit = $this->mLimit;
		$links = $wgContLang->specialpage( 'WhosOnline' );
		$atend = $this->countUsersOnline() < ( $this->mLimit + $this->mOffset ); // show next link
 
		$query = wfCgiToArray( '' );
		if( is_object( $link ) ) {
		    $title = $link;
		} else {
		    $title = Title::newFromText( $link );
		    if( is_null( $title ) ) {
			return false;
		    }
		}

		return $wgLang->viewPrevNext(
			$title,
			$offset,
			$limit,
			$query,
			$atend);
	}
}

SGPack[Bearbeiten]

Damit der Pfeil und das bearbeiten Bild angezeigt werden muss SGHtml geändert werden.

    function SGHtml( &$out, &$text ) {
        global $wgSGHTMLImageTop,$wgSGHTMLImageEdit;

	// Jump to Top, Edit-Image
	$suchen = array('<h2><span class="mw-headline"',
	    '>'.wfMessage('edit').'</a><span class="mw-editsection-bracket">',
	    '<span class="mw-editsection-bracket">[</span>',
	    '<span class="mw-editsection-bracket">]</span>');
	$ersatz = array('<h2><a href="javascript:window.scrollTo(0,0);" title="'.wfMessage('sghtml-top').'" style="vertical-align: top; float: right;"><img src="'.$wgSGHTMLImageTop.'" alt="^" /></a><span class="mw-headline"',
	    '><img src="'.$wgSGHTMLImageEdit.'" alt="'.wfMessage('edit').'" style="vertical-align:top; margin-top:-3px;" /></a><span class="mw-editsection-bracket">',
	    '','');
	$text = str_replace($suchen,$ersatz,$text);
        return true;

Neue Extensions[Bearbeiten]

wget https://extdist.wmflabs.org/dist/extensions/CollapsibleVector-REL1_24-e69306f.tar.gz, tar -xzf CollapsibleVector-REL1_24-e69306f.tar.gz -C ..
wget https://extdist.wmflabs.org/dist/extensions/MobileFrontend-REL1_24-011e6c1.tar.gz, tar -xzf MobileFrontend-REL1_24-011e6c1.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/Mantle-REL1_24-8fa4c6e.tar.gz, tar -xzf Mantle-REL1_24-8fa4c6e.tar.gz -C .
Fehler in MobileFrontend.php:
   $wgHooks['HTMLFileCache::useFileCache'][] = 'onHTMLFileCache_useFileCache';
   muss ersetzt werden durch 
   $wgHooks['HTMLFileCache::useFileCache'][] = 'MobileFrontendHooks::onHTMLFileCache_useFileCache';
wget https://extdist.wmflabs.org/dist/extensions/PdfHandler-REL1_24-0bc0148.tar.gz, tar -xzf PdfHandler-REL1_24-0bc0148.tar.gz -C .
Auf dem Server müssen installiert sein.
ghostscript (apt-get install ghostscript)
poppler-utils (apt-get install poppler-utils) - alternativ xpdf-util
  • Echo - Benachrichtungssystem
wget https://extdist.wmflabs.org/dist/extensions/Echo-REL1_24-0b8c699.tar.gz, tar -xzf Echo-REL1_24-0b8c699.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/MultimediaViewer-REL1_24-7ba92a7.tar.gz, tar -xzf MultimediaViewer-REL1_24-7ba92a7.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/CodeEditor-REL1_24-c8809a7.tar.gz, tar -xzf CodeEditor-REL1_24-c8809a7.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/Popups-REL1_24-9ae6a61.tar.gz, tar -xzf Popups-REL1_24-9ae6a61.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/TextExtracts-REL1_24-14dabb4.tar.gz, tar -xzf TextExtracts-REL1_24-14dabb4.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/PageImages-REL1_24-ed535f0.tar.gz, tar -xzf PageImages-REL1_24-ed535f0.tar.gz -C .
wget https://extdist.wmflabs.org/dist/extensions/EventLogging-REL1_24-753e5b8.tar.gz, tar -xzf EventLogging-REL1_24-753e5b8.tar.gz -C .

LocalSettings.php[Bearbeiten]

Da einige Erweiterungen jetzt im Mediawiki Core enthalten sind, fehlen sie im exentions Verzeichnis. Daher müssen die entsprechenden include Anweisungen entfernt werden. Das betrifft:

  • Vector
  • ExpandTemplates
  • ExentsionsFunctions

Skin einbinden

require_once "$IP/skins/Vector/Vector.php";

Andere Skins werden von Stargate Wiki nicht unterstützt und werden daher auch nicht eingebunden.

Einstellungen für ContactPage.php

$wgContactConfig['default'] = array(
	'RecipientUser' => 'Support-Mail', // Must be the name of a valid account
	'SenderName' => 'Kontakt Form auf ' . $wgSitename, // "Contact Form on" needs to be translated
	'SenderEmail' => null, // Defaults to $wgPasswordSender, may be changed as required
	'RequireDetails' => true, // Either "true" or "false" as required
	'IncludeIP' => true, // Either "true" or "false" as required
	'AdditionalFields' => array(
		'Text' => array(
			'label-message' => 'emailmessage',
			'type' => 'textarea',
			'rows' => 20,
			'cols' => 80,
			'required' => true,  // Either "true" or "false" as required
			),
		),
	);

Veröffentlichen[Bearbeiten]

Das Wiki sollte während des Update gesperrt werden!

  • Das alte \w Verzeichnis umbenennen und das neu in das Web-Verzeichnis kopieren.
  • Das Update Skript php maintenance/update.php ausführen.
  • php userOptions.php skin --old "monobook" --new "vector" Umstellung von Benutzer Skins.
  • Systemmeldungen zu Letzte Änderungen prüfen
  • In common.css diese Zeile einfügt - Link zur Bearbeitungshilfe sichtbar machen:
.editButtons .editHelp,.editButtons .mw-editButtons-pipe-separator{display:inline;}
Okay.svg Im alten Wiki eingefügt.

^Probleme und Vorschläge zur Umstellung[Bearbeiten]

Da das Test Wiki nun recht ordentlich läuft werde ich das Wiki zum Ende der Wochen (ca. 27.12.2014) umstellen. --Rene Bürokrat - Rückmeldung 23:32, 23. Dez. 2014 (CET)

Probleme/To-Do[Bearbeiten]

Auf test.stargate-wiki.de laufen Tests zum Update auf 1.24.1. Fehler bitte hier auflisten:

Kann ich bestätigen. Die JS-Warnung kommt aber auch in den Einstellungen. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 12:52, 21. Dez. 2014 (CET)
Tja ich habe keine Idee wie ich diesen Fehler beheben kann. Aus irgend einem Grund scheint MediaWiki die Klasse noscript nicht richtig zu setzen. Warum nur auf diesen Seiten? --Rene Bürokrat - Rückmeldung 20:46, 22. Dez. 2014 (CET)
In der mobilen Ansicht kommt die Warnung nicht. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:42, 25. Dez. 2014 (CET)

Die letzten beiden Punkte kann man auch nach dem update machen. --Rene Bürokrat - Rückmeldung 19:03, 24. Dez. 2014 (CET)

  • Nach erfolgreicher Benutzerkontenbestätigung wird für den bestätigten Benutzer automatisch die Benutzerseite angelegt - sinnvoll? --D5B Offline - Diskussion 14:07, 25. Dez. 2014 (CET)
Eigentlich absolut nicht. Wo steht das? --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:42, 25. Dez. 2014 (CET)
Hier. (Anmerkung: Philipp hat mir auf dem Testserver Büro-Rechte gegeben.) --D5B Offline - Diskussion 16:26, 25. Dez. 2014 (CET)

Behoben[Bearbeiten]

  • Ich weiß nicht in wie weit schon bekannt/gewollt aber Whos Online geht nicht. --Octavius1200 Admin UserIconTrust.svg Diskussion 23:55, 20. Dez. 2014 (CET)
Hab das mal vor einer Weile für mich repariert. Das liegt an einer Funktion, die der SG-Pack verwendet, die aber von MW nicht mehr unterstützt wird. Rene hat das in Version 1.2.96 des SG-Pack aber gefixt. --Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:11, 21. Dez. 2014 (CET)
Nein es liegt wohl nicht an SGPack. Der Fehler tritt auch auf wenn ich die Whos Online Erweiterung im SGPack deaktiviere. Laut der Whos Online Diskussion tritt das Problem auf anderen Seiten auch auch. --Rene Bürokrat - Rückmeldung 12:07, 21. Dez. 2014 (CET)
Irgendwie hat der Link oben im Usermenü auch auf "Spezial:Wer ist gerade online" verlinkt. Jetzt ist er komplett weg. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 12:52, 21. Dez. 2014 (CET)
Der Link war weg weil ich ihn deaktiviert hatte um zu prüfen ob der Fehler im SGPack oder in der Erweiterung liegt. Fehler lag an der Erweiterung, ist behoben. --Rene Bürokrat - Rückmeldung 20:03, 21. Dez. 2014 (CET)
Inzwischen funktioniert der Link wieder nicht. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 00:02, 26. Dez. 2014 (CET)
Mein Fehler. Ich habe erstelle gerade ein Update Script und habe vergessen das ich die Änderungen wieder in die Funktion einbaue. Danke für den Hinweis. --Rene Bürokrat - Rückmeldung 14:11, 26. Dez. 2014 (CET)
Kann man ja in den Systemmeldungen ändern. Ich mache mir einen Vermerk. --Rene Bürokrat - Rückmeldung 16:59, 21. Dez. 2014 (CET)
  • Ein paar Funktionen von SGHtml sind eingeschränkt, so sind die Edit-Icons und die Pfeile für den Seitenanfang nicht mehr vorhanden. --Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:11, 21. Dez. 2014 (CET)
SGPack Funktion umgebaut. Kleiner Fehler auf der ersten Seiten (es wird ein Pfeil erzeugt obwohl die Bedingungen nicht stimmen), kann ich mir momentan nicht erklären. --Rene Bürokrat - Rückmeldung 22:56, 21. Dez. 2014 (CET)
Siehe Wikipedia, dort auch nicht. --Rene Bürokrat - Rückmeldung 20:26, 21. Dez. 2014 (CET)
Hmm stimmt, ist wohl rausgefallen. Bei unserer Sidebar ist es aber auf jeden Fall sinnvoll Arrow-right.png diese Erweiterung bringt die Funktion wieder zurück --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 21:04, 21. Dez. 2014 (CET)
Installiert. --Rene Bürokrat - Rückmeldung 23:08, 21. Dez. 2014 (CET)
  • Nur eine Frage am Rande hierzu: Kommt die neue Font vom neuen MW oder ist das eigens eingestellt? Das wirkt da irgendwie alles etwas klobig und seltsam groß...VeryHappy.gif --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 20:07, 21. Dez. 2014 (CET)
Ich habe keinen Font eingestellt, scheint der selbe wie auf Wikipedia zu sein. --Rene Bürokrat - Rückmeldung 20:15, 21. Dez. 2014 (CET)
Neuer Font in der WP kommt durch die Extension VectorBeta, die hat einen Typo-Refresh integriert.--Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:33, 23. Dez. 2014 (CET)
Behoben, zum Auslesen des Artikelinhalts die richtige Funktion eingesetzt. --Rene Bürokrat - Rückmeldung 23:48, 21. Dez. 2014 (CET)
  • Seit 1.22 werden keine meta-Keywords mehr unterstützt und im Testwiki sind dementsprechend auch keine mehr zu finden. Entweder muss der Teil aus dem SGPack gestrichen oder irgendwie angepasst werden (addKeyword gibt es nicht mehr, insofern fraglich, ob das ohne großen Aufwand möglich ist...) --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 21:46, 21. Dez. 2014 (CET)
Es gibt alternativ die Funktion addMeta. --Rene Bürokrat - Rückmeldung 12:34, 22. Dez. 2014 (CET)
Wo kann man sich die Erweiterung denn mal ansehen? Im Gegensatz zum SGPack gibt es da ja keine direkte Download-Seite... Mit dem neuen JQuery (1.11.1 statt 1.6.2) kann man evtl. auch das aktuelle Cycle2 verwenden (braucht jQuery 1.7+)... --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 21:23, 21. Dez. 2014 (CET)
Stimmt der Download fehlte. Habe ich jetzt eingebaut. Zip Archiv --Rene Bürokrat - Rückmeldung 22:56, 21. Dez. 2014 (CET)
Der Fehler (zumindest ein Fehler) liegt in der Verwendung von $.browser in der alten Cycle-Version. Seit jQuery 1.9 (das neue MW hat 1.11) funktioniert das so aber nicht mehr, man soll hier statt Browser Detection auf Feature Detection setzen (Arrow-right.pngmit $.support). Versuch es also einfach mal mit Cycle2, da kommt jQuery.browser nicht mehr vor. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 17:03, 22. Dez. 2014 (CET)
Guter Vorschlag. Jetzt geht zumindest was. Allerdings stimmen die Bild Abmessungen nicht. Vermutlich Parameter Umstellungen, ich denke das bekomme ich hin. Smile.gif--Rene Bürokrat - Rückmeldung 17:27, 22. Dez. 2014 (CET)
Ich bin mal im Wiki über seit MW 1.17 veraltete Schreibweisen (addOnloadHook und addPortletLink) gegangen, dann spart man sich den Ärger, wenn der Support dafür wegfällt. Was meinst Du mit Bildabmessungen? Ich sehe da spontan keinen Fehler... Hast Du das schon gefixt? VeryHappy.gif--Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 18:12, 22. Dez. 2014 (CET)
War gar kein Fehler vorhanden nur veraltete Daten im Browser Cache. Smile.gif. Es hat also gereicht das Slideshow-Plugin zu wechseln. --Rene Bürokrat - Rückmeldung 18:24, 22. Dez. 2014 (CET)
  • Der Link zur Bearbeitungshilfe unter dem Editor ist weg. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 12:52, 21. Dez. 2014 (CET)
Das müsste doch eigentlich in den Systemnachrichten eingestellt werden, ich weiß leider nur nicht wie die heißt. Sehe gerade das der Hinweis in der Wikipedia auch fehlt. --Rene Bürokrat - Rückmeldung 00:29, 22. Dez. 2014 (CET)
Die Systemnachrichten sind MediaWiki:Edithelp und MediaWiki:Edithelppage - an beiden hat sich nichts geändert. Die Ursache liegt in der Vector-Extension, genauer gesagt in deren FooterCleanup-Funktion, welche dafür sorgt, dass die benutzten Vorlagen eingeklappt sind und eben dieser Link nicht angezeigt wird. Der Link ist also noch da, wird aber mit display:none belegt. Der Teil mit der Klappliste ist schon sinnvoll, daher würde ich den Teil nicht einfach deaktivieren. Wenn man aber in der Common.css display auf inline zurücksetzt, sollte es passen. Ich wollte das gerade testen, aber der Link war plötzlich wieder da... Ich nehme an, Du bist daher auch gerade darauf gestoßen.^^ --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 18:59, 22. Dez. 2014 (CET)
Nein, ich arbeite gerade an der Kontakt Seite. --Rene Bürokrat - Rückmeldung 19:03, 22. Dez. 2014 (CET)
Hmmm, stimmt, der Anzeige mit Link vorhin liegt ein anderer Fehler zugrunde (siehe unten, Editor beim Bearbeiten von css- und js-Seiten)... Surprised.gifVeryHappy.gif Der Link lässt sich jedenfalls tatsächlich ganz einfach wiederholen, indem man in die common.css diese Zeile einfügt:
.editButtons .editHelp,.editButtons .mw-editButtons-pipe-separator{display:inline;}
Das sollte man dann einfach nach dem Update machen, dann ist das auch erledigt. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 19:18, 22. Dez. 2014 (CET)
Zur Kontaktseite: Auf der Seite der Extension wird extra drauf hingewiesen, dass man beim Update (dass ja wegen dem neuen MW gemacht werden musste) noch was in der LocalSettings.php hinzugefügt werden muss: siehe hier - liegt es vlt. daran? --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 18:16, 22. Dez. 2014 (CET)
  • Wenn ich CSS- oder JS-Seiten (z.B. MediaWiki:Common.css oder Benutzer:Col. o'neill/Vector.js) bearbeite, wird mir kein Vector-Editor angezeigt. Ich habe das Textfenster, aber nicht die Toolbar darüber und auch keine Tabs für Wikitext, Vorschau und Änderungen. Manchmal wird stattdessen die uralte Monobook-Toolbar angezeigt. Gleichzeitig wird auf der Link zur Bearbeitungshilfe standardmäßig angezeigt (->Vector-Erweiterung oder zumindest deren FooterCleanup außer Funktion?). --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 19:18, 22. Dez. 2014 (CET)
Wenn ich auf Wikipedia eine CSS Datei bearbeiten will bekomme ich auch einen anderen Editor angezeigt. Zumindest fehlen alle Eingabe Tabs. Vermutlich kann man das irgendwo einstellen. --Rene Bürokrat - Rückmeldung 16:21, 23. Dez. 2014 (CET)
In der WP (angemeldet, css und js) ist das bei mir alles normal. Die drei Tabs über der Editor-Toolbar habe ich da eh nicht und der Codeeditor ist halt da. Ansonsten ist da alles normal, die Vector-Toolbar ist vorhanden. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 17:25, 23. Dez. 2014 (CET)
Ich habe den CodeEditor installiert. Damit ist das Problem erledigt. --Rene Bürokrat - Rückmeldung 18:22, 23. Dez. 2014 (CET)
Oh. Interessante Lösung, aber Hauptsache es funktioniert...^^ --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 18:36, 23. Dez. 2014 (CET)
  • Bei Versionsunterschieden fehlen die Verweise zum nächsten / vorherigen Unterschied. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 13:58, 21. Dez. 2014 (CET)
Ich sehe das Problem aber ich habe keine Ahnung was die Ursache ist, das es in der Wikipedia vorhanden ist bedeutet es wurde nicht aus Mediawiki entfernt. --Rene Bürokrat - Rückmeldung 12:02, 22. Dez. 2014 (CET)
Fehler gefunden. Die Links waren noch da, nur ohne Textinhalt, daher wurde nichts angezeigt. Der Grund dafür war, dass die entsprechenden MW-Seiten (MediaWiki:Previousdiff und MediaWiki:Nextdiff) geleert statt gelöscht wurden. Mit dem neuen MW wird das offenbar anders interpretiert und der leere Text wird statt dem Standardtext genommen. Durch das Löschen beider Seiten habe ich im Testwiki die Standardwerte wiederhergestellt und die Pfeile sind wieder da. Ich hab das mal auch im normalen Wiki getan, dadurch sollte das auch nach dem Upgrade kein Problem mehr sein. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 18:36, 23. Dez. 2014 (CET)
  • das Antragsformular für ein Benutzerkonto muss angepasst werden ("Bürgerlicher Name" / "Weitere Informationen" / "Nutzungsbedingungen" müssen raus). Die Variablen kann ich gerne via FTP anpassen, wenn wir das Update durchgeführt haben.--Philipp Bürokrat · Disk · Mail-icon.png ] 01:25, 21. Dez. 2014 (CET).
Grundeinstellungen habe ich mal gemacht. --Rene Bürokrat - Rückmeldung 21:28, 23. Dez. 2014 (CET)

Neue Erweiterungen[Bearbeiten]

Wenn wir grade von Update/Upgrade sprechen, hätte ich noch ein paar Extensions vorzuschlagen:

  • PDFHandler - Einbinden und Anzeigen von PDFs direkt auf der Seite.
  • MobileFrontend - Dann kann man das Wiki auch endlich mal mobil komfortabel nutzen. Aussehen siehe mobile WP.
Okay.svg im Testwiki eingebaut. Und gleich mal einen bekannten Fehler behoben. --Rene Bürokrat - Rückmeldung 00:21, 22. Dez. 2014 (CET)
Man sollte sich dann sehr bald um eine angepasste HS kümmern (Mobile Elemente mit Selektoren mit dem Präfix "mf-", Desktop-Elemente mit der class "nomobile"). --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 19:24, 22. Dez. 2014 (CET)
  • Entfernen aller Skins außer Vector, da nicht mehr länger unterstützt.

Bei Bedarf:

  • Nuke (Massenlöschungen), SpamBlacklist und TitleBlacklist als mittlerweile standardmäßige Antispam-Erweiterungen neuer MW-Installationen.
  • LocalisationUpdate - Siehe Link für genauere Beschreibung, ist Bestandteil der MW-Standardinstallation.
Nein.svg Funktioniert nicht, hat Fehler. --Rene Bürokrat - Rückmeldung 23:45, 22. Dez. 2014 (CET)
Funktioniert meistens nur, nachdem das update.php einmal fehlerfrei durchgelaufen ist. Sollte das nicht helfen, einfach deaktiviert lassen. --Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:33, 23. Dez. 2014 (CET)
Alle Vorschläge auf der Homepage der Erweiterung geprüft. Es läuft einfach nicht, also es bleibt bei Nein.svg --Rene Bürokrat - Rückmeldung 18:25, 23. Dez. 2014 (CET)
Willst du den eigentlich jetzt installieren? Auf der UpgradeWiki-Seite inst er als zu installieren markiert, allerdings ohne seine Dependencies BetaFeatures und CommonsMetadata
Ja will ich installieren, danke für den Hinweis auf die fehlenden Erweiterungen --Rene Bürokrat - Rückmeldung 19:06, 24. Dez. 2014 (CET)
Die Beta Erweiterung installiere ich nicht. Den MediaViewer kann man in den Einstellungen ausschalten. --Rene Bürokrat - Rückmeldung 12:20, 25. Dez. 2014 (CET)
So wie ich das verstanden habe, ist die Beta-Extension dafür verantwortlich, dass jeder User selbst entscheiden kann, ob er den Viewer haben möchte oder nicht. Falls man sie nicht installiert, ist er immer aktiv.--Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 12:38, 25. Dez. 2014 (CET)
Okay.svg --Rene Bürokrat - Rückmeldung 18:22, 23. Dez. 2014 (CET)
  • Collection - Erlaubt es, bestimmte Seiten in verschiedenen Formaten zu exportieren.
Kenn ich aus nem anderen Wiki, finde ich gut! Allerdings sollte es nicht zu viel Platz auf der Sidebar einnehmen, aber das kann man sicherlich einstellen. Smile.gif --D5B Offline - Diskussion 14:04, 25. Dez. 2014 (CET)
Ich wüsste echt nicht, wozu wir das bräuchten. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:45, 25. Dez. 2014 (CET)
  • UploadWizard - Der in den nächsten Versionen von MW fest integrierte Uploader, jetzt aber eben als Erweiterung.

Als Denkanstöße (sind an sich unnnötige, aber nette Feautures):

  • Thanks - Erlaubt es, in der Versionsübersicht fürEdits zu danken.
Finde ich sehr nützlich! --D5B Offline - Diskussion 14:02, 25. Dez. 2014 (CET)
Joa, kann man gern machen, essenziell ist es aber natürlich nicht. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:42, 25. Dez. 2014 (CET)
  • Popups - Zeigt beim Überstreichen von internen links eine Kurzzusammenfasung der verlinkten Seite (viele Prequisites und Dependencies!)
Okay.svg--Rene Bürokrat - Rückmeldung 21:18, 23. Dez. 2014 (CET)
Was wird da alles angezeigt in dem Popup? Immmer der erste Satz im Artikel, wie hier? Serverbelastung? Dauert es dann nicht länger, die Seite zu laden, v. a. bei größeren Artikeln? --D5B Offline - Diskussion 14:11, 25. Dez. 2014 (CET)

--Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:26, 21. Dez. 2014 (CET)

Allzu hoch dürfte die Belastung nicht sein, es wird halt immer ein winziger Teil einer Seite geladen. Und soweit ich weiß, lässt sich über MW-Seiten einstellen, was da angezeigt wird. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:42, 25. Dez. 2014 (CET)
PdfHandler, MobileFrontend und das Entfernen veralteter Skins finde ich auch sehr sinnvoll. Für Nuke sehe ich aber keine Veranlassung und echte Probleme mit Spam haben wir ja mittlerweile nicht mehr - eine Blacklist für den Editorinhalt haben wir schon im SGPack und im Titel braucht es das imo auch nicht.
LocalisationUpdate ist ja eh in MW schon enthalten, da braucht man sich ja nicht drum kümmern, oder?
Der MultimediaViewer stört mich persönlich schon in der Wikipedia ziemlich. Insofern wäre ich da nur dafür, wenn man den abstellen kann.
Der Codeeditor schaut ganz nett aus, aber wenn ich mir die bekannten Probleme damit ansehe, frage ich mich, ob es das Wert ist. Die meisten, die sich überhaupt mit Codes im Wiki beschäftigen, brauchen es eh kaum, denke ich mal... --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 12:52, 21. Dez. 2014 (CET)
MultimediaViewer kann man als Option anzeigen lassen. Code Editor geb ich dir Recht und localizationUpdate muss man eben in der MW-Config aktivieren, wenn man updated. Zu den Spamerweiterungen: Ich würde sie aktivieren, schaden tut es nichts und für den normalen User sind sie eh unsichtbar.--Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 13:01, 21. Dez. 2014 (CET)
Naja ich sehe einfach keinen Sinn darin, eine AntiSpam-Erweiterung zu installieren, wenn wir jetzt schon eine haben, die funktioniert (und zwar auf dieselbe Weise wie die andere Erweiterung). Am Ende kommen die sich noch gegenseitig in die Quere... Man erspart sich einfach möglichen Ärger und Aufwand, wenn man es bleiben lässt. Funktioniert ja auch so, wieso sollte man es dann unnötig ändern? --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 13:58, 21. Dez. 2014 (CET)
PDFHandler: Warum? Wir haben die Scripte als PDF aber muss ich die wirklich auf dem Server in Bilder umwandeln um sie im Wiki an zu zeigen? Man dann noch nicht einmal Texte heraus kopieren. Es hat doch ohnehin jeder ein PDF Programm auf seinem Rechner/Tablet oder Handy.
MobileFrontend: Erscheint mir sinnvoll
Anti Spam sollte in SGPack bleiben, warum etwas mehrfach machen das beschleunigt das Wiki ganz sicher nicht.
MultimediaViewer: Halte ich auf jeden Fall für sinnvoll
LocalisastionUpdate: Ist im Wiki enthalten also kein Problem.
Codeeditor: Warum? Wir behandeln hier doch keinen Sourcecode und für was anderes ist der Editor doch sinnlos.
Skins: Wenn wir nur einen Skin nutzen brauchen wir auch keine anderen einbinden.
--Rene Bürokrat - Rückmeldung 16:56, 21. Dez. 2014 (CET)
Beim PDFHandler wäre es halt ganz nett, wenn man gleich auf der Seite anstatt immer dem PDF-Icon einen Eindruck gewinnt, wie das dann aussieht - ohne das ganze PDF laden zu müssen. Natürlich ist das nicht gerade essenziell, aber nützlich finde ich es schon, eine inhaltsbezogene Vorschau statt immer nur dem Icon zu kriegen. Und bei den Skins war ja eben gemeint, alle außer vector einfach zu streichen (oder wie meinst Du das?). --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 17:04, 21. Dez. 2014 (CET)
PDFHandler: So habe ich das nicht verstanden. Ich bin der Meinung man kann sich die PDFs auf einer eigenen Seite ansehen. Zumindest war das auf der Beispielseite so. Und welche PDFs haben wir bei denen eine Vorschau etwas bringt? Wir haben doch nur die Scripte und das ist dann immer eine Seite mit Text. --Rene Bürokrat - Rückmeldung 17:27, 21. Dez. 2014 (CET)
Die PDF(s) zum Usertreffen und die Skripte, ja. Und das Bild wird ja in der Einbindung und in der Dateibeschreibungsseite angezeigt. Und wenn man in der gallery bzw. der Dateibeschreibungsseite schon sieht, wie das dann in etwa aussieht, ist das ja praktischer, als wenn man einfach bei beidem nur ein PDF-Icon hat. Wenn man sich z.B. nicht recht vorstellen kann, was mit Skript gemeint ist bzw. wie das dann aussieht, muss man nicht extra das PDF selbst öffnen, sondern kann direkt in der Einbindung sehen, wie das ungefähr aussieht (und dann entscheiden, ob man das jetzt im Ganzen angezeigt haben will oder nicht). Lässt sich das eigentlich mit dem MultimediaViewer kombinieren? Wäre dann auch praktisch. Aber wie gesagt, essenziell natürlich nicht. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 17:39, 21. Dez. 2014 (CET)
Ich habe die PDF Erweiterung erst mal installiert. Beispiel hier und mit thumb. Aber so überzeugt bin ich nicht. --Rene Bürokrat - Rückmeldung 23:25, 22. Dez. 2014 (CET)
  • Extension:Echo sollte unbedingt installiert werden. Das ist ein super Benachrichtigungssystem (gerade für neue User) und in der Wikipedia und anderen Fanwikis schon längst in Gebrauch.--Philipp Bürokrat · Disk · Mail-icon.png ] 01:48, 23. Dez. 2014 (CET)
Definitiv. --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 09:36, 23. Dez. 2014 (CET)
Finde ich gut, zusätzlich sollte man WikiHiero updaten.
PS: Hab mal meine Liste akualisiert. --Ghost Profil - Admin- Diskussion - Beiträge - Compass.svg 11:33, 23. Dez. 2014 (CET)
Okay.svg --Rene Bürokrat - Rückmeldung 15:53, 23. Dez. 2014 (CET)

Gelöschte Erweiterungen[Bearbeiten]

  • APC - Die Erweiterung wird nicht mehr benötigt da der APC Cache nicht eingesetzt wird. --Rene Bürokrat - Rückmeldung 01:32, 24. Dez. 2014 (CET)

SGPack Bereitstellung[Bearbeiten]

Wird es den SGPack auch wieder zum Download geben, also zur Veröffentlichung in anderen Wikis? --D5B Offline - Diskussion 13:58, 25. Dez. 2014 (CET)

Ich denke schon - wieso denn auch nicht? Inwiefern steht das denn infrage? --Col. o'neill ( Ich bin gerade offline | Admin | Kontakt) Navigation 15:42, 25. Dez. 2014 (CET)